@octokit/openapi 14.1.0 → 15.0.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/generated/api.github.com.deref.json +216 -40
- package/generated/api.github.com.json +125 -48
- package/generated/ghec.deref.json +238 -52
- package/generated/ghec.json +147 -60
- package/generated/ghes-3.10.deref.json +85 -22
- package/generated/ghes-3.10.json +49 -22
- package/generated/ghes-3.11.deref.json +96 -31
- package/generated/ghes-3.11.json +62 -44
- package/generated/ghes-3.12.deref.json +96 -31
- package/generated/ghes-3.12.json +62 -44
- package/generated/ghes-3.8.deref.json +85 -22
- package/generated/ghes-3.8.json +49 -22
- package/generated/ghes-3.9.deref.json +85 -22
- package/generated/ghes-3.9.json +49 -22
- package/generated/github.ae.deref.json +1 -1
- package/generated/github.ae.json +1 -1
- package/package.json +1 -1
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
{
|
|
2
2
|
"openapi": "3.0.3",
|
|
3
3
|
"info": {
|
|
4
|
-
"version": "
|
|
4
|
+
"version": "15.0.0",
|
|
5
5
|
"title": "GitHub's official OpenAPI spec + Octokit extension",
|
|
6
6
|
"description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
|
|
7
7
|
"license": {
|
|
@@ -236,7 +236,8 @@
|
|
|
236
236
|
},
|
|
237
237
|
"hub_url": {
|
|
238
238
|
"type": "string",
|
|
239
|
-
"format": "uri-template"
|
|
239
|
+
"format": "uri-template",
|
|
240
|
+
"deprecated": true
|
|
240
241
|
},
|
|
241
242
|
"issue_search_url": {
|
|
242
243
|
"type": "string",
|
|
@@ -332,7 +333,6 @@
|
|
|
332
333
|
"followers_url",
|
|
333
334
|
"following_url",
|
|
334
335
|
"gists_url",
|
|
335
|
-
"hub_url",
|
|
336
336
|
"issue_search_url",
|
|
337
337
|
"issues_url",
|
|
338
338
|
"keys_url",
|
|
@@ -6756,19 +6756,21 @@
|
|
|
6756
6756
|
"description": "If specified, only advisories for these ecosystems will be returned.",
|
|
6757
6757
|
"schema": {
|
|
6758
6758
|
"type": "string",
|
|
6759
|
+
"description": "The package's language or package management ecosystem.",
|
|
6759
6760
|
"enum": [
|
|
6760
|
-
"
|
|
6761
|
-
"composer",
|
|
6762
|
-
"erlang",
|
|
6763
|
-
"go",
|
|
6764
|
-
"maven",
|
|
6761
|
+
"rubygems",
|
|
6765
6762
|
"npm",
|
|
6766
|
-
"nuget",
|
|
6767
|
-
"other",
|
|
6768
6763
|
"pip",
|
|
6764
|
+
"maven",
|
|
6765
|
+
"nuget",
|
|
6766
|
+
"composer",
|
|
6767
|
+
"go",
|
|
6768
|
+
"rust",
|
|
6769
|
+
"erlang",
|
|
6770
|
+
"actions",
|
|
6769
6771
|
"pub",
|
|
6770
|
-
"
|
|
6771
|
-
"
|
|
6772
|
+
"other",
|
|
6773
|
+
"swift"
|
|
6772
6774
|
]
|
|
6773
6775
|
}
|
|
6774
6776
|
},
|
|
@@ -37384,7 +37386,6 @@
|
|
|
37384
37386
|
"default": {
|
|
37385
37387
|
"value": {
|
|
37386
37388
|
"advanced_security_enabled_for_new_repositories": true,
|
|
37387
|
-
"advanced_security_enabled_new_user_namespace_repos": true,
|
|
37388
37389
|
"dependabot_alerts_enabled_for_new_repositories": true,
|
|
37389
37390
|
"secret_scanning_enabled_for_new_repositories": true,
|
|
37390
37391
|
"secret_scanning_push_protection_enabled_for_new_repositories": true,
|
|
@@ -87100,7 +87101,7 @@
|
|
|
87100
87101
|
"/orgs/{org}/hooks": {
|
|
87101
87102
|
"get": {
|
|
87102
87103
|
"summary": "List organization webhooks",
|
|
87103
|
-
"description": "",
|
|
87104
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
87104
87105
|
"tags": [
|
|
87105
87106
|
"orgs"
|
|
87106
87107
|
],
|
|
@@ -87309,7 +87310,7 @@
|
|
|
87309
87310
|
},
|
|
87310
87311
|
"post": {
|
|
87311
87312
|
"summary": "Create an organization webhook",
|
|
87312
|
-
"description": "
|
|
87313
|
+
"description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
87313
87314
|
"tags": [
|
|
87314
87315
|
"orgs"
|
|
87315
87316
|
],
|
|
@@ -87662,7 +87663,7 @@
|
|
|
87662
87663
|
"/orgs/{org}/hooks/{hook_id}": {
|
|
87663
87664
|
"get": {
|
|
87664
87665
|
"summary": "Get an organization webhook",
|
|
87665
|
-
"description": "Returns a webhook configured in an organization. To get only the webhook
|
|
87666
|
+
"description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
87666
87667
|
"tags": [
|
|
87667
87668
|
"orgs"
|
|
87668
87669
|
],
|
|
@@ -87849,7 +87850,7 @@
|
|
|
87849
87850
|
},
|
|
87850
87851
|
"patch": {
|
|
87851
87852
|
"summary": "Update an organization webhook",
|
|
87852
|
-
"description": "Updates a webhook configured in an organization. When you update a webhook
|
|
87853
|
+
"description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
87853
87854
|
"tags": [
|
|
87854
87855
|
"orgs"
|
|
87855
87856
|
],
|
|
@@ -88182,7 +88183,7 @@
|
|
|
88182
88183
|
},
|
|
88183
88184
|
"delete": {
|
|
88184
88185
|
"summary": "Delete an organization webhook",
|
|
88185
|
-
"description": "",
|
|
88186
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
88186
88187
|
"tags": [
|
|
88187
88188
|
"orgs"
|
|
88188
88189
|
],
|
|
@@ -88254,7 +88255,7 @@
|
|
|
88254
88255
|
"/orgs/{org}/hooks/{hook_id}/config": {
|
|
88255
88256
|
"get": {
|
|
88256
88257
|
"summary": "Get a webhook configuration for an organization",
|
|
88257
|
-
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
88258
|
+
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
88258
88259
|
"tags": [
|
|
88259
88260
|
"orgs"
|
|
88260
88261
|
],
|
|
@@ -88347,7 +88348,7 @@
|
|
|
88347
88348
|
},
|
|
88348
88349
|
"patch": {
|
|
88349
88350
|
"summary": "Update a webhook configuration for an organization",
|
|
88350
|
-
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
88351
|
+
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
88351
88352
|
"tags": [
|
|
88352
88353
|
"orgs"
|
|
88353
88354
|
],
|
|
@@ -88493,7 +88494,7 @@
|
|
|
88493
88494
|
"/orgs/{org}/hooks/{hook_id}/deliveries": {
|
|
88494
88495
|
"get": {
|
|
88495
88496
|
"summary": "List deliveries for an organization webhook",
|
|
88496
|
-
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
|
|
88497
|
+
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
88497
88498
|
"tags": [
|
|
88498
88499
|
"orgs"
|
|
88499
88500
|
],
|
|
@@ -88812,7 +88813,7 @@
|
|
|
88812
88813
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
|
|
88813
88814
|
"get": {
|
|
88814
88815
|
"summary": "Get a webhook delivery for an organization webhook",
|
|
88815
|
-
"description": "Returns a delivery for a webhook configured in an organization.",
|
|
88816
|
+
"description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
88816
88817
|
"tags": [
|
|
88817
88818
|
"orgs"
|
|
88818
88819
|
],
|
|
@@ -89174,7 +89175,7 @@
|
|
|
89174
89175
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
|
|
89175
89176
|
"post": {
|
|
89176
89177
|
"summary": "Redeliver a delivery for an organization webhook",
|
|
89177
|
-
"description": "Redeliver a delivery for a webhook configured in an organization.",
|
|
89178
|
+
"description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
89178
89179
|
"tags": [
|
|
89179
89180
|
"orgs"
|
|
89180
89181
|
],
|
|
@@ -89369,7 +89370,7 @@
|
|
|
89369
89370
|
"/orgs/{org}/hooks/{hook_id}/pings": {
|
|
89370
89371
|
"post": {
|
|
89371
89372
|
"summary": "Ping an organization webhook",
|
|
89372
|
-
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.11/webhooks/#ping-event)
|
|
89373
|
+
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.11/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
89373
89374
|
"tags": [
|
|
89374
89375
|
"orgs"
|
|
89375
89376
|
],
|
|
@@ -152430,7 +152431,7 @@
|
|
|
152430
152431
|
"/repos/{owner}/{repo}/actions/runs": {
|
|
152431
152432
|
"get": {
|
|
152432
152433
|
"summary": "List workflow runs for a repository",
|
|
152433
|
-
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.11/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository
|
|
152434
|
+
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.11/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
|
|
152434
152435
|
"tags": [
|
|
152435
152436
|
"actions"
|
|
152436
152437
|
],
|
|
@@ -228630,6 +228631,32 @@
|
|
|
228630
228631
|
"204": {
|
|
228631
228632
|
"description": "Response"
|
|
228632
228633
|
},
|
|
228634
|
+
"404": {
|
|
228635
|
+
"description": "Resource not found",
|
|
228636
|
+
"content": {
|
|
228637
|
+
"application/json": {
|
|
228638
|
+
"schema": {
|
|
228639
|
+
"title": "Basic Error",
|
|
228640
|
+
"description": "Basic Error",
|
|
228641
|
+
"type": "object",
|
|
228642
|
+
"properties": {
|
|
228643
|
+
"message": {
|
|
228644
|
+
"type": "string"
|
|
228645
|
+
},
|
|
228646
|
+
"documentation_url": {
|
|
228647
|
+
"type": "string"
|
|
228648
|
+
},
|
|
228649
|
+
"url": {
|
|
228650
|
+
"type": "string"
|
|
228651
|
+
},
|
|
228652
|
+
"status": {
|
|
228653
|
+
"type": "string"
|
|
228654
|
+
}
|
|
228655
|
+
}
|
|
228656
|
+
}
|
|
228657
|
+
}
|
|
228658
|
+
}
|
|
228659
|
+
},
|
|
228633
228660
|
"422": {
|
|
228634
228661
|
"description": "Validation failed, or the endpoint has been spammed.",
|
|
228635
228662
|
"content": {
|
|
@@ -320603,6 +320630,32 @@
|
|
|
320603
320630
|
}
|
|
320604
320631
|
}
|
|
320605
320632
|
},
|
|
320633
|
+
"406": {
|
|
320634
|
+
"description": "Unacceptable",
|
|
320635
|
+
"content": {
|
|
320636
|
+
"application/json": {
|
|
320637
|
+
"schema": {
|
|
320638
|
+
"title": "Basic Error",
|
|
320639
|
+
"description": "Basic Error",
|
|
320640
|
+
"type": "object",
|
|
320641
|
+
"properties": {
|
|
320642
|
+
"message": {
|
|
320643
|
+
"type": "string"
|
|
320644
|
+
},
|
|
320645
|
+
"documentation_url": {
|
|
320646
|
+
"type": "string"
|
|
320647
|
+
},
|
|
320648
|
+
"url": {
|
|
320649
|
+
"type": "string"
|
|
320650
|
+
},
|
|
320651
|
+
"status": {
|
|
320652
|
+
"type": "string"
|
|
320653
|
+
}
|
|
320654
|
+
}
|
|
320655
|
+
}
|
|
320656
|
+
}
|
|
320657
|
+
}
|
|
320658
|
+
},
|
|
320606
320659
|
"500": {
|
|
320607
320660
|
"description": "Internal Error",
|
|
320608
320661
|
"content": {
|
|
@@ -355293,6 +355346,20 @@
|
|
|
355293
355346
|
"commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
|
|
355294
355347
|
}
|
|
355295
355348
|
},
|
|
355349
|
+
{
|
|
355350
|
+
"type": "wiki_commit",
|
|
355351
|
+
"details": {
|
|
355352
|
+
"path": "/example/Home.md",
|
|
355353
|
+
"start_line": 1,
|
|
355354
|
+
"end_line": 1,
|
|
355355
|
+
"start_column": 1,
|
|
355356
|
+
"end_column": 64,
|
|
355357
|
+
"blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
|
|
355358
|
+
"page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
355359
|
+
"commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
355360
|
+
"commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
|
|
355361
|
+
}
|
|
355362
|
+
},
|
|
355296
355363
|
{
|
|
355297
355364
|
"type": "issue_title",
|
|
355298
355365
|
"details": {
|
|
@@ -892174,8 +892241,7 @@
|
|
|
892174
892241
|
},
|
|
892175
892242
|
"repository-dispatch-sample.collected": {
|
|
892176
892243
|
"post": {
|
|
892177
|
-
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.11/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
892178
|
-
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
|
|
892244
|
+
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.11/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
892179
892245
|
"operationId": "repository-dispatch/sample.collected",
|
|
892180
892246
|
"externalDocs": {
|
|
892181
892247
|
"url": "https://docs.github.com/enterprise-server@3.11/webhooks/webhook-events-and-payloads#repository_dispatch"
|
|
@@ -892264,9 +892330,7 @@
|
|
|
892264
892330
|
"properties": {
|
|
892265
892331
|
"action": {
|
|
892266
892332
|
"type": "string",
|
|
892267
|
-
"
|
|
892268
|
-
"sample.collected"
|
|
892269
|
-
]
|
|
892333
|
+
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
892270
892334
|
},
|
|
892271
892335
|
"branch": {
|
|
892272
892336
|
"type": "string"
|
|
@@ -892274,7 +892338,8 @@
|
|
|
892274
892338
|
"client_payload": {
|
|
892275
892339
|
"type": "object",
|
|
892276
892340
|
"nullable": true,
|
|
892277
|
-
"additionalProperties": true
|
|
892341
|
+
"additionalProperties": true,
|
|
892342
|
+
"description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
892278
892343
|
},
|
|
892279
892344
|
"enterprise": {
|
|
892280
892345
|
"title": "Enterprise",
|
package/generated/ghes-3.11.json
CHANGED
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
{
|
|
2
2
|
"openapi": "3.0.3",
|
|
3
3
|
"info": {
|
|
4
|
-
"version": "
|
|
4
|
+
"version": "15.0.0",
|
|
5
5
|
"title": "GitHub's official OpenAPI spec + Octokit extension",
|
|
6
6
|
"description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
|
|
7
7
|
"license": {
|
|
@@ -2342,21 +2342,7 @@
|
|
|
2342
2342
|
"in": "query",
|
|
2343
2343
|
"description": "If specified, only advisories for these ecosystems will be returned.",
|
|
2344
2344
|
"schema": {
|
|
2345
|
-
"
|
|
2346
|
-
"enum": [
|
|
2347
|
-
"actions",
|
|
2348
|
-
"composer",
|
|
2349
|
-
"erlang",
|
|
2350
|
-
"go",
|
|
2351
|
-
"maven",
|
|
2352
|
-
"npm",
|
|
2353
|
-
"nuget",
|
|
2354
|
-
"other",
|
|
2355
|
-
"pip",
|
|
2356
|
-
"pub",
|
|
2357
|
-
"rubygems",
|
|
2358
|
-
"rust"
|
|
2359
|
-
]
|
|
2345
|
+
"$ref": "#/components/schemas/security-advisory-ecosystems"
|
|
2360
2346
|
}
|
|
2361
2347
|
},
|
|
2362
2348
|
{
|
|
@@ -8407,7 +8393,6 @@
|
|
|
8407
8393
|
"default": {
|
|
8408
8394
|
"value": {
|
|
8409
8395
|
"advanced_security_enabled_for_new_repositories": true,
|
|
8410
|
-
"advanced_security_enabled_new_user_namespace_repos": true,
|
|
8411
8396
|
"dependabot_alerts_enabled_for_new_repositories": true,
|
|
8412
8397
|
"secret_scanning_enabled_for_new_repositories": true,
|
|
8413
8398
|
"secret_scanning_push_protection_enabled_for_new_repositories": true,
|
|
@@ -16645,7 +16630,7 @@
|
|
|
16645
16630
|
"/orgs/{org}/hooks": {
|
|
16646
16631
|
"get": {
|
|
16647
16632
|
"summary": "List organization webhooks",
|
|
16648
|
-
"description": "",
|
|
16633
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16649
16634
|
"tags": [
|
|
16650
16635
|
"orgs"
|
|
16651
16636
|
],
|
|
@@ -16703,7 +16688,7 @@
|
|
|
16703
16688
|
},
|
|
16704
16689
|
"post": {
|
|
16705
16690
|
"summary": "Create an organization webhook",
|
|
16706
|
-
"description": "
|
|
16691
|
+
"description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16707
16692
|
"tags": [
|
|
16708
16693
|
"orgs"
|
|
16709
16694
|
],
|
|
@@ -16840,7 +16825,7 @@
|
|
|
16840
16825
|
"/orgs/{org}/hooks/{hook_id}": {
|
|
16841
16826
|
"get": {
|
|
16842
16827
|
"summary": "Get an organization webhook",
|
|
16843
|
-
"description": "Returns a webhook configured in an organization. To get only the webhook
|
|
16828
|
+
"description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16844
16829
|
"tags": [
|
|
16845
16830
|
"orgs"
|
|
16846
16831
|
],
|
|
@@ -16887,7 +16872,7 @@
|
|
|
16887
16872
|
},
|
|
16888
16873
|
"patch": {
|
|
16889
16874
|
"summary": "Update an organization webhook",
|
|
16890
|
-
"description": "Updates a webhook configured in an organization. When you update a webhook
|
|
16875
|
+
"description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
16891
16876
|
"tags": [
|
|
16892
16877
|
"orgs"
|
|
16893
16878
|
],
|
|
@@ -16999,7 +16984,7 @@
|
|
|
16999
16984
|
},
|
|
17000
16985
|
"delete": {
|
|
17001
16986
|
"summary": "Delete an organization webhook",
|
|
17002
|
-
"description": "",
|
|
16987
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17003
16988
|
"tags": [
|
|
17004
16989
|
"orgs"
|
|
17005
16990
|
],
|
|
@@ -17036,7 +17021,7 @@
|
|
|
17036
17021
|
"/orgs/{org}/hooks/{hook_id}/config": {
|
|
17037
17022
|
"get": {
|
|
17038
17023
|
"summary": "Get a webhook configuration for an organization",
|
|
17039
|
-
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
17024
|
+
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17040
17025
|
"tags": [
|
|
17041
17026
|
"orgs"
|
|
17042
17027
|
],
|
|
@@ -17080,7 +17065,7 @@
|
|
|
17080
17065
|
},
|
|
17081
17066
|
"patch": {
|
|
17082
17067
|
"summary": "Update a webhook configuration for an organization",
|
|
17083
|
-
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
17068
|
+
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17084
17069
|
"tags": [
|
|
17085
17070
|
"orgs"
|
|
17086
17071
|
],
|
|
@@ -17161,7 +17146,7 @@
|
|
|
17161
17146
|
"/orgs/{org}/hooks/{hook_id}/deliveries": {
|
|
17162
17147
|
"get": {
|
|
17163
17148
|
"summary": "List deliveries for an organization webhook",
|
|
17164
|
-
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
|
|
17149
|
+
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17165
17150
|
"tags": [
|
|
17166
17151
|
"orgs"
|
|
17167
17152
|
],
|
|
@@ -17230,7 +17215,7 @@
|
|
|
17230
17215
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
|
|
17231
17216
|
"get": {
|
|
17232
17217
|
"summary": "Get a webhook delivery for an organization webhook",
|
|
17233
|
-
"description": "Returns a delivery for a webhook configured in an organization.",
|
|
17218
|
+
"description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17234
17219
|
"tags": [
|
|
17235
17220
|
"orgs"
|
|
17236
17221
|
],
|
|
@@ -17285,7 +17270,7 @@
|
|
|
17285
17270
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
|
|
17286
17271
|
"post": {
|
|
17287
17272
|
"summary": "Redeliver a delivery for an organization webhook",
|
|
17288
|
-
"description": "Redeliver a delivery for a webhook configured in an organization.",
|
|
17273
|
+
"description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17289
17274
|
"tags": [
|
|
17290
17275
|
"orgs"
|
|
17291
17276
|
],
|
|
@@ -17328,7 +17313,7 @@
|
|
|
17328
17313
|
"/orgs/{org}/hooks/{hook_id}/pings": {
|
|
17329
17314
|
"post": {
|
|
17330
17315
|
"summary": "Ping an organization webhook",
|
|
17331
|
-
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.11/webhooks/#ping-event)
|
|
17316
|
+
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.11/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17332
17317
|
"tags": [
|
|
17333
17318
|
"orgs"
|
|
17334
17319
|
],
|
|
@@ -27831,7 +27816,7 @@
|
|
|
27831
27816
|
"/repos/{owner}/{repo}/actions/runs": {
|
|
27832
27817
|
"get": {
|
|
27833
27818
|
"summary": "List workflow runs for a repository",
|
|
27834
|
-
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.11/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository
|
|
27819
|
+
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.11/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
|
|
27835
27820
|
"tags": [
|
|
27836
27821
|
"actions"
|
|
27837
27822
|
],
|
|
@@ -38919,6 +38904,9 @@
|
|
|
38919
38904
|
"204": {
|
|
38920
38905
|
"description": "Response"
|
|
38921
38906
|
},
|
|
38907
|
+
"404": {
|
|
38908
|
+
"$ref": "#/components/responses/not_found"
|
|
38909
|
+
},
|
|
38922
38910
|
"422": {
|
|
38923
38911
|
"$ref": "#/components/responses/validation_failed"
|
|
38924
38912
|
}
|
|
@@ -48605,6 +48593,9 @@
|
|
|
48605
48593
|
"404": {
|
|
48606
48594
|
"$ref": "#/components/responses/not_found"
|
|
48607
48595
|
},
|
|
48596
|
+
"406": {
|
|
48597
|
+
"$ref": "#/components/responses/unacceptable"
|
|
48598
|
+
},
|
|
48608
48599
|
"500": {
|
|
48609
48600
|
"$ref": "#/components/responses/internal_error"
|
|
48610
48601
|
},
|
|
@@ -84716,8 +84707,7 @@
|
|
|
84716
84707
|
},
|
|
84717
84708
|
"repository-dispatch-sample.collected": {
|
|
84718
84709
|
"post": {
|
|
84719
|
-
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.11/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
84720
|
-
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
|
|
84710
|
+
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.11/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
84721
84711
|
"operationId": "repository-dispatch/sample.collected",
|
|
84722
84712
|
"externalDocs": {
|
|
84723
84713
|
"url": "https://docs.github.com/enterprise-server@3.11/webhooks/webhook-events-and-payloads#repository_dispatch"
|
|
@@ -90058,7 +90048,8 @@
|
|
|
90058
90048
|
},
|
|
90059
90049
|
"hub_url": {
|
|
90060
90050
|
"type": "string",
|
|
90061
|
-
"format": "uri-template"
|
|
90051
|
+
"format": "uri-template",
|
|
90052
|
+
"deprecated": true
|
|
90062
90053
|
},
|
|
90063
90054
|
"issue_search_url": {
|
|
90064
90055
|
"type": "string",
|
|
@@ -90154,7 +90145,6 @@
|
|
|
90154
90145
|
"followers_url",
|
|
90155
90146
|
"following_url",
|
|
90156
90147
|
"gists_url",
|
|
90157
|
-
"hub_url",
|
|
90158
90148
|
"issue_search_url",
|
|
90159
90149
|
"issues_url",
|
|
90160
90150
|
"keys_url",
|
|
@@ -102171,12 +102161,12 @@
|
|
|
102171
102161
|
}
|
|
102172
102162
|
}
|
|
102173
102163
|
},
|
|
102174
|
-
"repository-rule-params-
|
|
102175
|
-
"title": "
|
|
102176
|
-
"description": "
|
|
102164
|
+
"repository-rule-params-code-scanning-threshold": {
|
|
102165
|
+
"title": "CodeScanningThreshold",
|
|
102166
|
+
"description": "A tool and its thresholds.",
|
|
102177
102167
|
"type": "object",
|
|
102178
102168
|
"properties": {
|
|
102179
|
-
"
|
|
102169
|
+
"alerts": {
|
|
102180
102170
|
"type": "string",
|
|
102181
102171
|
"description": "Code scanning alert threshold",
|
|
102182
102172
|
"enum": [
|
|
@@ -102186,7 +102176,7 @@
|
|
|
102186
102176
|
"all"
|
|
102187
102177
|
]
|
|
102188
102178
|
},
|
|
102189
|
-
"
|
|
102179
|
+
"security_alerts": {
|
|
102190
102180
|
"type": "string",
|
|
102191
102181
|
"description": "Code scanning security alert threshold.",
|
|
102192
102182
|
"enum": [
|
|
@@ -102196,11 +102186,16 @@
|
|
|
102196
102186
|
"medium_or_higher",
|
|
102197
102187
|
"all"
|
|
102198
102188
|
]
|
|
102189
|
+
},
|
|
102190
|
+
"tool": {
|
|
102191
|
+
"type": "string",
|
|
102192
|
+
"description": "The name of a code scanning tool"
|
|
102199
102193
|
}
|
|
102200
102194
|
},
|
|
102201
102195
|
"required": [
|
|
102202
|
-
"
|
|
102203
|
-
"
|
|
102196
|
+
"alerts",
|
|
102197
|
+
"security_alerts",
|
|
102198
|
+
"tool"
|
|
102204
102199
|
]
|
|
102205
102200
|
},
|
|
102206
102201
|
"repository-rule": {
|
|
@@ -255785,9 +255780,7 @@
|
|
|
255785
255780
|
"properties": {
|
|
255786
255781
|
"action": {
|
|
255787
255782
|
"type": "string",
|
|
255788
|
-
"
|
|
255789
|
-
"sample.collected"
|
|
255790
|
-
]
|
|
255783
|
+
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
255791
255784
|
},
|
|
255792
255785
|
"branch": {
|
|
255793
255786
|
"type": "string"
|
|
@@ -255795,7 +255788,8 @@
|
|
|
255795
255788
|
"client_payload": {
|
|
255796
255789
|
"type": "object",
|
|
255797
255790
|
"nullable": true,
|
|
255798
|
-
"additionalProperties": true
|
|
255791
|
+
"additionalProperties": true,
|
|
255792
|
+
"description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
255799
255793
|
},
|
|
255800
255794
|
"enterprise": {
|
|
255801
255795
|
"$ref": "#/components/schemas/enterprise-webhooks"
|
|
@@ -293287,6 +293281,20 @@
|
|
|
293287
293281
|
"commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
|
|
293288
293282
|
}
|
|
293289
293283
|
},
|
|
293284
|
+
{
|
|
293285
|
+
"type": "wiki_commit",
|
|
293286
|
+
"details": {
|
|
293287
|
+
"path": "/example/Home.md",
|
|
293288
|
+
"start_line": 1,
|
|
293289
|
+
"end_line": 1,
|
|
293290
|
+
"start_column": 1,
|
|
293291
|
+
"end_column": 64,
|
|
293292
|
+
"blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
|
|
293293
|
+
"page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
293294
|
+
"commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
293295
|
+
"commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
|
|
293296
|
+
}
|
|
293297
|
+
},
|
|
293290
293298
|
{
|
|
293291
293299
|
"type": "issue_title",
|
|
293292
293300
|
"details": {
|
|
@@ -300664,6 +300672,16 @@
|
|
|
300664
300672
|
}
|
|
300665
300673
|
}
|
|
300666
300674
|
},
|
|
300675
|
+
"unacceptable": {
|
|
300676
|
+
"description": "Unacceptable",
|
|
300677
|
+
"content": {
|
|
300678
|
+
"application/json": {
|
|
300679
|
+
"schema": {
|
|
300680
|
+
"$ref": "#/components/schemas/basic-error"
|
|
300681
|
+
}
|
|
300682
|
+
}
|
|
300683
|
+
}
|
|
300684
|
+
},
|
|
300667
300685
|
"scim_bad_request": {
|
|
300668
300686
|
"description": "Bad request",
|
|
300669
300687
|
"content": {
|